namespace eval drvpar {
}

proc stdConfig::drvpar {parpath} {
  controller syncedprot

  obj DRVPAR -drive rd
  prop read drvpar::read
  prop path $parpath
}

proc drvpar::update {path val} {
  updateval $path $val
}

proc drvpar::read {} {
  catch {
    [sct controller] updatescript [sct path] "drvpar::update [sct]"
  }
  set err [silent "" hgetpropval [sct path] geterror]
  if {$err ne ""} {
    updateerror [sct] $err
  } else {
    updateval [sct] [hvali [sct]]
  }
  return idle
}
